#pragma once

#include "socket_adapter.h"

class TSocketAdapterSimple: public ISocketAdapter {
public:
    TSocketAdapterSimple(IInputStream& input, IOutputStream& output)
        : ISocketAdapter(input, output) {

    }
    virtual bool ReadMessage(::google::protobuf::Message& message) const override;
    using ISocketAdapter::WriteMessage;
    virtual void WriteMessage(const ::google::protobuf::Message& message, const TString& request="") const override;
    virtual ~TSocketAdapterSimple() override {}
protected:
};

